Package org.eigenbase.xom

# Class XomTest

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.eigenbase.xom.XomTest

All Implemented Interfaces:
  `junit.framework.Test`

public class XomTest extends junit.framework.TestCase
Unit tests for XOM module.

Since:
  Jun 6, 2008
Version:
  $Id: //open/util/resgen/src/org/eigenbase/xom/XomTest.java#1 $
Author:
  jhyde

## Constructor Summary

Constructors
Constructor
Description
`XomTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testFoo()`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XomTest

public XomTest()

## Method Details

### testFoo

public void testFoo() throws XOMException

Throws:
  `XOMException`